# CPPClient_Define.hxx File Reference

## Enumerations

enum | ExtractionType { CPPClient_COMPLETE, CPPClient_INCOMPLETE, CPPClient_SEMICOMPLETE }

## Functions

| Handle (TCollection_HAsciiString) CPPClient_InterfaceName
void | CPPClient_WriteFile (const Handle(EDL_API)&api, const Handle(TCollection_HAsciiString)&aFileName, const Standard_CString var)
void | CPPClient_UsedTypes (const Handle(MS_MetaSchema)&aMeta, const Handle(MS_Common)&aCommon, const Handle(TColStd_HSequenceOfHAsciiString)&List, const Handle(TColStd_HSequenceOfHAsciiString)&Incp)
class | Handle (MS_HSequenceOfParam)
void | CPPClient_BuildMethod (const Handle(MS_MetaSchema)&aMeta, const Handle(EDL_API)&api, const Handle(MS_Method)&m, const Handle(TCollection_HAsciiString)&methodName, const Standard_Boolean forDeclaration=Standard_True)
void | CPPClient_ClassTypeMgt (const Handle(MS_MetaSchema)&aMeta, const Handle(EDL_API)&api, const Handle(MS_Class)&aClass, const Standard_CString var)
void | CPPClient_Enum (const Handle(MS_MetaSchema)&aMeta, const Handle(EDL_API)&api, const Handle(MS_Enum)&anEnum, const Handle(TColStd_HSequenceOfHAsciiString)&outfile)

## Variables

Standard_CString | VClass
Standard_CString | VTICIncludes
Standard_CString | VInherits
Standard_CString | VTICPublicmets
Standard_CString | VTICPublicfriends
Standard_CString | VTICProtectedmets
Standard_CString | VTICProtectedfields
Standard_CString | VTICPrivatemets
Standard_CString | VTICPrivatefriends
Standard_CString | VTICDefines
Standard_CString | VTICInlineIncludes
Standard_CString | VTICUndefines
Standard_CString | VTICPrivatefields
Standard_CString | VTICSuppMethod
Standard_CString | VRetSpec
Standard_CString | VVirtual
Standard_CString | VReturn
Standard_CString | VAnd
Standard_CString | VMethodName
Standard_CString | VArgument
Standard_CString | VMetSpec
Standard_CString | VMethod
Standard_CString | VMBody
Standard_CString | VDName
Standard_CString | VDValue
Standard_CString | VIsInline
Standard_CString | VIsCreateMethod
Standard_CString | VIClass
Standard_CString | VSuffix
Standard_CString | VCxxFile
Standard_CString | VLxxFile
Standard_CString | VInlineMethod
Standard_CString | VoutClass
Standard_CString | VNb
Standard_CString | VValues
Standard_CString | VSupplement
Standard_CString | VTypeMgt
Standard_CString | VMethods
Standard_CString | VAncestors
Standard_CString | VFullPath
Standard_CString | VMethodHeader
Standard_CString | VConstructorHeader
const const Standard_Boolean | withDefaultValue

## Enumeration Type Documentation

enum ExtractionType

Enumeration values:

  CPPClient_COMPLETE |
  CPPClient_INCOMPLETE |
  CPPClient_SEMICOMPLETE |

## Function Documentation

void CPPClient_BuildMethod | ( | const Handle(MS_MetaSchema)& | aMeta,
|  | const Handle(EDL_API)& | api,
|  | const Handle(MS_Method)& | m,
|  | const Handle(TCollection_HAsciiString)& | methodName,
|  | const Standard_Boolean | forDeclaration = `Standard_True`
| ) |

void CPPClient_ClassTypeMgt | ( | const Handle(MS_MetaSchema)& | aMeta,
|  | const Handle(EDL_API)& | api,
|  | const Handle(MS_Class)& | aClass,
|  | const Standard_CString | var
| ) |

void CPPClient_Enum | ( | const Handle(MS_MetaSchema)& | aMeta,
|  | const Handle(EDL_API)& | api,
|  | const Handle(MS_Enum)& | anEnum,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | outfile
| ) |

void CPPClient_UsedTypes | ( | const Handle(MS_MetaSchema)& | aMeta,
|  | const Handle(MS_Common)& | aCommon,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | List,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | Incp
| ) |

void CPPClient_WriteFile | ( | const Handle(EDL_API)& | api,
|  | const Handle(TCollection_HAsciiString)& | aFileName,
|  | const Standard_CString | var
| ) |

const Handle | ( | MS_HSequenceOfParam |  | ) |

Handle | ( | TCollection_HAsciiString |  | ) | `[inline]`

## Variable Documentation

Standard_CString VAncestors

Standard_CString VAnd

Standard_CString VArgument

Standard_CString VClass

Standard_CString VConstructorHeader

Standard_CString VCxxFile

Standard_CString VDName

Standard_CString VDValue

Standard_CString VFullPath

Standard_CString VIClass

Standard_CString VInherits

Standard_CString VInlineMethod

Standard_CString VIsCreateMethod

Standard_CString VIsInline

Standard_CString VLxxFile

Standard_CString VMBody

Standard_CString VMethod

Standard_CString VMethodHeader

Standard_CString VMethodName

Standard_CString VMethods

Standard_CString VMetSpec

Standard_CString VNb

Standard_CString VoutClass

Standard_CString VRetSpec

Standard_CString VReturn

Standard_CString VSuffix

Standard_CString VSupplement

Standard_CString VTICDefines

Standard_CString VTICIncludes

Standard_CString VTICInlineIncludes

Standard_CString VTICPrivatefields

Standard_CString VTICPrivatefriends

Standard_CString VTICPrivatemets

Standard_CString VTICProtectedfields

Standard_CString VTICProtectedmets

Standard_CString VTICPublicfriends

Standard_CString VTICPublicmets

Standard_CString VTICSuppMethod

Standard_CString VTICUndefines

Standard_CString VTypeMgt

Standard_CString VValues

Standard_CString VVirtual

const const Standard_Boolean withDefaultValue